require 'rubygems'
require 'httparty'
module MexWeather
	
	#$weather_calculator = -> (city){ HTTParty.get("http://api.openweathermap.org/data/2.5/weather?q=#{city},mx").parsed_response["main"]}
	
	class Weather
		@@weather_calculator = -> (city){ HTTParty.get("http://api.openweathermap.org/data/2.5/weather?q=#{city},mx").parsed_response["main"]}
		
		def self.get_weather_for(city)
			weather = @@weather_calculator.call city
			{ actual: weather["temp"] - 273.15, maxima: weather["temp_max"] - 273.15, minima: weather["temp_min"] - 273.15 } 
		end
	end
end

#clima = MexWeather::Weather.get_weather_for 'chihuahua'
#puts "Actual: #{clima[:actual]}  Maxima: #{clima[:maxima]}  Minima: #{clima[:minima]}"
